Skip to main content
GET
/
me
/
phone-numbers
/
{id}
Get phone number details
curl --request GET \
  --url https://api.wacht.dev/me/phone-numbers/{id} \
  --cookie session_id=
{
  "status": 200,
  "message": "",
  "data": {
    "id": "<string>",
    "phone_number": "<string>",
    "country_code": "<string>",
    "primary": true,
    "verified": true
  },
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Path Parameters

id
string<uint64>
required

Response

200 - application/json

Phone number details

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)